import HandlebarsRuntime from 'handlebars/runtime';
import { HttpClient } from '../HttpClient';
export interface Templates {
    index: Handlebars.TemplateDelegate;
    client: Handlebars.TemplateDelegate;
    exports: {
        model: Handlebars.TemplateDelegate;
        schema: Handlebars.TemplateDelegate;
        service: Handlebars.TemplateDelegate;
    };
    core: {
        settings: Handlebars.TemplateDelegate;
        apiError: Handlebars.TemplateDelegate;
        apiRequestOptions: Handlebars.TemplateDelegate;
        apiResult: Handlebars.TemplateDelegate;
        cancelablePromise: Handlebars.TemplateDelegate;
        request: Handlebars.TemplateDelegate;
        baseHttpRequest: Handlebars.TemplateDelegate;
        httpRequest: Handlebars.TemplateDelegate;
    };
}
/**
 * Read all the Handlebar templates that we need and return on wrapper object
 * so we can easily access the templates in out generator / write functions.
 */
export declare const registerHandlebarTemplates: (root: {
    httpClient: HttpClient;
    useOptions: boolean;
    useUnionTypes: boolean;
    handlebars?: typeof HandlebarsRuntime;
}) => Templates;
//# sourceMappingURL=registerHandlebarTemplates.d.ts.map